Bug 848934 - [abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: __GI___libc_current_sigrtmin: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: __GI___libc_current_sigrtmin: Proc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:df0005d501b5d142fa75eb8edd6...
:
: 847391 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 16:51 EDT by Sjoerd Mullender
Modified: 2013-08-01 14:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.46 KB, text/plain)
2012-08-16 16:51 EDT, Sjoerd Mullender
no flags Details
File: maps (19.18 KB, text/plain)
2012-08-16 16:51 EDT, Sjoerd Mullender
no flags Details
File: dso_list (4.04 KB, text/plain)
2012-08-16 16:51 EDT, Sjoerd Mullender
no flags Details

  None (edit)
Description Sjoerd Mullender 2012-08-16 16:51:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /bin/X :1 -auth /var/run/lightdm/root/:1 -nolisten tcp vt7 -novtswitch
comment:        Resuming from suspend-to-RAM.
crash_function: __GI___libc_current_sigrtmin
environ:        
executable:     /usr/bin/Xorg
kernel:         3.5.1-1.fc17.x86_64
open_fds:       
pid:            2912
pwd:            /
remote_result:  NOTFOUND
time:           2012-08-16T20:32:33 CEST
uid:            0
username:       root

backtrace:      Text file, 5591 bytes
dso_list:       Text file, 4137 bytes
maps:           Text file, 19644 bytes

build_ids:
:fc13956ed359736e6a145d384f112723fd62f20d
:59d79f5efd38cd9fac07f69defc833288d88d9ef
:61e097b3bb0aa9f19ed915d3848285fa293df288
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:f227cfd2550b8b9e1a725173e990f88be82dcb3a
:1f9a855d27db1cec175da7330122a83df4b887b3
:d64204227cac89018c37b9fa731ce3e3dfac414a
:6416c64fde1d567429c32475ee874558589d305a
:3a9b6eb6c75eaceeed3a3765743efa5f7bec2f68
:02db68322dfc216e5403a39891cfcc2e1935f94a
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:b972156774e528344ecbe3debd19042f612da059
:5ffd7826c0daece3a4ef687af6478f1592847baa
:226a78980343d94a4f9962f8014603f608a0266c
:a3819431cec79ddbe554c22e2800b181a793c4ac
:f4c064df8745dff15466d705fb049138f9a5c949
:8e9fda0d5876e4b614c9b10b6282d9f32351072c
:bc7a0d08f94757b7d157f6dbdc21f2c11fff0846
:a7e2e684a275fb2117fd6c7d6c3c5165eee40ab3
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:9780659a439a861c2ab9ee197f0f846a9d8810fe
:67792c148d2b8f13f6732c9367e926c26d7376c5
:fd57d5acbcefd8599a3ac31468040d0c9c4cfec1
:c4ec0971b2dcee71aaf8374975474054245fea00
:00ab653044d47d504dd49135aff0306483c4c103
:da1d3a332c8123d472e300a12d6e095009dd7f33
:822e9b3523e8312240f41a25722d539bc77ed436
:da0831cf9c551543fbc94e797a102a57a30e790f
:7c35310fc506498c612d5d982ab03becc4b4817c
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:31eec8ef031eebabbf04bc18db276f14c74b03cf
:5c4b62956d54145b4bf24dbff070ab951e9a0419
:cd205ab290c2a86dedcf0492b4ed3b4fac88828e
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:9672c6b5fcf8ec125c4048b1b96638856302c263
:eab23ad69379206da083ef9e1a9fdb3361ee8a5d
:13718b5000238cc2421cc0ad9d3ba8a6e6bf8a00
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:7231f4ebd1fadeddbfd0f132032dd172a45dacf5
:fe17d44cdaad04cafc64928ba5b68827e01ec47a
:247132297f287226a24c12e683292f5c94013066
:516204cfc31148538d56b21e2f1b945ed50127d4

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/prefdm.service
:2:cpuset:/
:1:name=systemd:/system/prefdm.service

core_backtrace:
:61e097b3bb0aa9f19ed915d3848285fa293df288 0x35925 raise libc.so.6 -
:61e097b3bb0aa9f19ed915d3848285fa293df288 0x370d8 abort libc.so.6 -
:59d79f5efd38cd9fac07f69defc833288d88d9ef 0x6c64e OsAbort [exe] -
:59d79f5efd38cd9fac07f69defc833288d88d9ef 0x82b2c ddxGiveUp [exe] -
:59d79f5efd38cd9fac07f69defc833288d88d9ef 0x68cd2 - [exe] -
:59d79f5efd38cd9fac07f69defc833288d88d9ef 0x68ed5 FatalError [exe] -
:59d79f5efd38cd9fac07f69defc833288d88d9ef 0x6a0be - [exe] -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             31458                31458                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31458                31458                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:General
:=================================
:UUID: 9b00c26d-4850-4b95-b509-1f55de5b213c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4788.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T8300  @ 2.40GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2401
:System Memory: 3953
:System Swap: 6015
:Vendor: Dell Inc.
:System: Inspiron 1720 
:Form factor: Portable
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4136:498) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4136:498) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4136:498) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4136:498) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4136:498) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:498) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4385) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:(32902:9288:4136:498) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1426:4136:498) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:498) pci, None, BASE, xD-Picture Card Controller
:(4480:2098:4136:498) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4136:498) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(5348:5900:4136:498) pci, b44, ETHERNET, BCM4401-B0 100Base-TX
:(32902:10309:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:498) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4136:498) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4136:498) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:4136:498) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10294:4136:498) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4136:498) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_koolmees-lv_root / ext4 4096 4096 13091841 10225955 10094905 3276800 2961634 2961634
:/dev/sda1 /boot ext4 1024 1024 508644 397786 372186 128016 127653 127653
:/dev/mapper/vg_koolmees-lv_home /home ext4 4096 4096 82795697 30319637 26174895 20725760 20045680 20045680
:

var_log_messages:
:Aug 12 16:21:34 koolmees abrt[22106]: Saved core dump of pid 1374 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:21:31-1374 (88440832 bytes)
:Aug 12 16:21:55 koolmees abrt[22180]: Saved core dump of pid 22139 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:21:55-22139 (9641984 bytes)
:Aug 12 16:22:12 koolmees abrt[22225]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:22:30 koolmees abrt[22241]: Saved core dump of pid 22228 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:22:29-22228 (9641984 bytes)
:Aug 12 16:22:47 koolmees abrt[22284]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:23:04 koolmees abrt[22300]: Saved core dump of pid 22287 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:23:04-22287 (9641984 bytes)
:Aug 12 16:23:21 koolmees abrt[22345]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:23:39 koolmees abrt[22361]: Saved core dump of pid 22347 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:23:38-22347 (9641984 bytes)
:Aug 12 16:23:56 koolmees abrt[22404]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:24:13 koolmees abrt[22420]: Saved core dump of pid 22407 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:24:13-22407 (9641984 bytes)
:Aug 12 16:24:30 koolmees abrt[22463]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:24:48 koolmees abrt[22514]: Saved core dump of pid 22469 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:24:47-22469 (9641984 bytes)
:Aug 12 16:25:05 koolmees abrt[22561]: Not dumping repeating crash in '/usr/bin/Xorg'
:Aug 12 16:25:22 koolmees abrt[22577]: Saved core dump of pid 22564 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-12-16:25:22-22564 (9641984 bytes)
:Aug 16 20:32:33 koolmees abrt[2927]: Saved core dump of pid 2912 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-16-20:32:33-2912 (9859072 bytes)
Comment 1 Sjoerd Mullender 2012-08-16 16:51:33 EDT
Created attachment 605007 [details]
File: backtrace
Comment 2 Sjoerd Mullender 2012-08-16 16:51:36 EDT
Created attachment 605008 [details]
File: maps
Comment 3 Sjoerd Mullender 2012-08-16 16:51:37 EDT
Created attachment 605009 [details]
File: dso_list
Comment 4 Sjoerd Mullender 2012-08-16 16:56:02 EDT
*** Bug 847391 has been marked as a duplicate of this bug. ***
Comment 5 Sjoerd Mullender 2012-08-18 05:02:15 EDT
Resuming after suspend-to-RAM.

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.2-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Muharem Hrnjadovic 2012-08-29 17:50:52 EDT
This bug affects me as well. The X server is crashing occasionally on fedora17 when I close the laptop lid (suspend-to-RAM fails but I cannot login again or switch to virtual console)
Comment 7 Adam Jackson 2012-10-18 17:50:26 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 8 Adam Jackson 2012-10-18 17:50:42 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 Fedora End Of Life 2013-07-04 03:08:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 14:54:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.